Bug 49647 - gcc segfault compiling net/sunrpc/svcsock.c in stock 2.4.7 kernel
gcc segfault compiling net/sunrpc/svcsock.c in stock 2.4.7 kernel
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 15:04 EDT by Jonathan Kamens
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-22 15:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-07-22 15:04:06 EDT
I just got this when running "make -j2 bzImage" in a stock 2.4.7 kernel
source tree on a dual-processor machine:

gcc -D__KERNEL__ -I/usr/src/linux-2.4.6/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common
-pipe -mpreferred-stack-boundary=2 -march=i686    -c -o svcsock.o svcsock.c
svcsock.c: In function `svc_recv':
svcsock.c:876: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [svcsock.o] Error 2

I've got gcc-2.96-94.  I tried it again, and it compiled just fine the
second time.  I realize that may mean that I've got a problem with my RAM
or something, but I've haven't seen any such problem with this machine,a nd
all the mamory in it has been in it for at least six months, so I'm
suspicious of that explanation.

I thought I should report the problem even though I can't duplicate it, in
case other people might be seeing similar problems and it's useful for you
to know how much it's happening.
Comment 1 Jakub Jelinek 2001-07-23 10:44:18 EDT
There is nothing that can be done about non-reproduceable bugs like this.
It is most certainly hardware or some kernel issue, gcc is quite deterministic
program.

Note You need to log in before you can comment on or make changes to this bug.